Subject: Re: [Bitcoin-development] [RFC] Canonical input and output ordering in transactions

From: Gregory Maxwell <[email-masked]>
Date: Sun, 14 Jun 2015 23:04:58 +0000

On Mon, Jun 8, 2015 at 9:25 PM, Danny Thorpe <[email-masked]> wrote:
> Recommending sorting of the inputs and outputs as a best practice is fine
> (and better than random, IMO), but not as part of IsStandard() or consensus
> rules.  There are cases where the order of the inputs and outputs is
> significant.

Is it your opinion that its fine if the result is that it makes the
usage trivially distinguishable e.g. where it might be subjected to
higher tx fees, or might break some software which incorrectly expects
all transactions to be ordered since most are?